
pfSense - Bug #7728

1:1 NAT: Destination IP Alias not displayed as web link

07/26/2017 03:10 PM - Markus Stockhausen

Status: Resolved Start date: 07/26/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Web Interface Estimated time: 0.00 hour

Target version: 2.4.0   

Plus Target Version:  Affected Version: 2.4

Release Notes:  Affected

Architecture:

 

Description

If you define a 1:1 NAT rule with a destination IP (source/destination match) this destination IP may be an alias. In the overview table

this alias is not shown as the usual link to the target alias object. Working good example of the desired behaviour is the firewall rules

overview.

Affected version:

2.4.0-BETA (amd64)

built on Mon Jul 10 13:15:04 CDT 2017

FreeBSD 11.0-RELEASE-p10

Associated revisions

Revision 25b82b20 - 08/21/2017 12:30 PM - Steve Beaver 

Fixed #7728

Revised enabled/disabled diplay to match other firewall pages

Revision b0bb406d - 09/15/2017 08:16 PM - Steve Beaver 

Fixed #7728

Revised enabled/disabled diplay to match other firewall pages

(cherry picked from commit 25b82b200de7e846066bef3c6a3918592527763f)

History

#1 - 07/26/2017 03:12 PM - Markus Stockhausen

- File nat.png added

image of bad behaviour

#2 - 08/20/2017 06:30 PM - Jim Thompson

- Assignee set to Anonymous

#3 - 08/21/2017 07:34 AM - Anonymous

- Status changed from New to Feedback

- Target version set to 2.4.0

Added alias pop-over and revised enabled/disabled display

#4 - 08/22/2017 06:50 AM - Anonymous

- % Done changed from 0 to 100

Applied in changeset 25b82b200de7e846066bef3c6a3918592527763f.

#5 - 09/15/2017 02:50 PM - Jim Pingle

- Status changed from Feedback to Assigned
https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/25b82b200de7e846066bef3c6a3918592527763f


- Target version changed from 2.4.0 to 2.4.1

I still don't see alias details when using an alias as a destination. Just the word, no special formatting/display/link.

Not critical, moving forward.

#6 - 09/15/2017 03:30 PM - Anonymous

- Status changed from Assigned to Feedback

Applied in changeset b0bb406db95414d8ceaae1f782c1172a5a97e0d1.

#7 - 09/15/2017 03:34 PM - Jim Pingle

- Status changed from Feedback to Resolved

- Target version changed from 2.4.1 to 2.4.0

Looks good now (was missing from RELENG_2_4_0 so not in 2.4-RC snaps)

Files

nat.png 9.16 KB 07/26/2017 Markus Stockhausen

Powered by TCPDF (www.tcpdf.org)

06/15/2025 2/2

https://redmine.pfsense.org/projects/pfsense/repository/2/revisions/b0bb406db95414d8ceaae1f782c1172a5a97e0d1
http://www.tcpdf.org

